<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>Tile</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Tile";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/tile/Tile.html" target="_top">Frames</a></li>
<li><a href="Tile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine.tile</div>
<h2 title="Class Tile" class="title">Class Tile</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.tile.Tile</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Tile</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This class is responsible for taking in all the different types of tiles and creating a template for any additional tiles that may be created.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kenneth Lange</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#airTile">airTile</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#cementTile">cementTile</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#DEBUGMODE">DEBUGMODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#deepWaterTile">deepWaterTile</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#dirtTile">dirtTile</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#grassTile">grassTile</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#sandTile">sandTile</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#shallowWaterTile">shallowWaterTile</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#stoneTile">stoneTile</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#TILEHEIGHT">TILEHEIGHT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#tiles">tiles</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#TILEWIDTH">TILEWIDTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#winTile">winTile</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#Tile-projectx.game.enums.TileType-">Tile</a></span>(<a href="../../../projectx/game/enums/TileType.html" title="enum in projectx.game.enums">TileType</a>&nbsp;type)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#getId--">getId</a></span>()</code>
<div class="block">This method gets the ID of a specific tile.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#isSolid--">isSolid</a></span>()</code>
<div class="block">This method decides whether the tile is solid.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#isWater--">isWater</a></span>()</code>
<div class="block">This method determines if a specific tile is a water tile.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#isWin--">isWin</a></span>()</code>
<div class="block">This method determines if a specific tile is a winning tile.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#render-projectx.engine.glgfx.Graphics-int-int-">render</a></span>(<a href="../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
      int&nbsp;x,
      int&nbsp;y)</code>
<div class="block">This method is responsible for rendering updated tiles.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#render-projectx.engine.glgfx.Graphics-int-int-double-">render</a></span>(<a href="../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
      int&nbsp;x,
      int&nbsp;y,
      double&nbsp;scale)</code>
<div class="block">This method is responsible for rendering updated tiles to the scale provided</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/tile/Tile.html#update--">update</a></span>()</code>
<div class="block">This method is responsible for updating rendered tiles.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEBUGMODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEBUGMODE</h4>
<pre>public static&nbsp;boolean DEBUGMODE</pre>
</li>
</ul>
<a name="tiles">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tiles</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a>[] tiles</pre>
</li>
</ul>
<a name="airTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>airTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> airTile</pre>
</li>
</ul>
<a name="shallowWaterTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shallowWaterTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> shallowWaterTile</pre>
</li>
</ul>
<a name="sandTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sandTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> sandTile</pre>
</li>
</ul>
<a name="dirtTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dirtTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> dirtTile</pre>
</li>
</ul>
<a name="grassTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>grassTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> grassTile</pre>
</li>
</ul>
<a name="stoneTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stoneTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> stoneTile</pre>
</li>
</ul>
<a name="deepWaterTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deepWaterTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> deepWaterTile</pre>
</li>
</ul>
<a name="cementTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cementTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> cementTile</pre>
</li>
</ul>
<a name="winTile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>winTile</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a> winTile</pre>
</li>
</ul>
<a name="TILEWIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILEWIDTH</h4>
<pre>public static final&nbsp;int TILEWIDTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.tile.Tile.TILEWIDTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILEHEIGHT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TILEHEIGHT</h4>
<pre>public static final&nbsp;int TILEHEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.tile.Tile.TILEHEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Tile-projectx.game.enums.TileType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Tile</h4>
<pre>public&nbsp;Tile(<a href="../../../projectx/game/enums/TileType.html" title="enum in projectx.game.enums">TileType</a>&nbsp;type)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="update--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update()</pre>
<div class="block">This method is responsible for updating rendered tiles.</div>
</li>
</ul>
<a name="render-projectx.engine.glgfx.Graphics-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>render</h4>
<pre>public&nbsp;void&nbsp;render(<a href="../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
                   int&nbsp;x,
                   int&nbsp;y)</pre>
<div class="block">This method is responsible for rendering updated tiles.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - </dd>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
</dl>
</li>
</ul>
<a name="render-projectx.engine.glgfx.Graphics-int-int-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>render</h4>
<pre>public&nbsp;void&nbsp;render(<a href="../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
                   int&nbsp;x,
                   int&nbsp;y,
                   double&nbsp;scale)</pre>
<div class="block">This method is responsible for rendering updated tiles to the scale provided</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - </dd>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
</dl>
</li>
</ul>
<a name="isSolid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSolid</h4>
<pre>public&nbsp;boolean&nbsp;isSolid()</pre>
<div class="block">This method decides whether the tile is solid.
 It is by default set to false.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
<div class="block">This method gets the ID of a specific tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="isWin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWin</h4>
<pre>public&nbsp;boolean&nbsp;isWin()</pre>
<div class="block">This method determines if a specific tile is a winning tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="isWater--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isWater</h4>
<pre>public&nbsp;boolean&nbsp;isWater()</pre>
<div class="block">This method determines if a specific tile is a water tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/tile/Tile.html" target="_top">Frames</a></li>
<li><a href="Tile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
